if [ ! -f $BINARY ]; then
	echo "BINARY=$BINARY doesn't exist."
 	echo "Maybe you ran this script from unapproperiate directory."
    echo "It should be run from main directory of the product."
	
    exit -1
fi

if [ $UID == 0 ]; then
	echo "Uninstalling globally - for all users"
	GLOBAL="true"
fi


# The link to binary should be made in directory from this list
# it will be tried using THIS order
BIN_DIRS="$1 /usr/local/bin /usr/bin /bin $HOME/bin"

if [ "$GLOBAL" == "true" ]; then
	BIN_DIRS="$1 $HOME/bin /usr/local/bin"
fi

pushd . > /dev/null

# test if application is already installed on some of specified directories
for bindir in $BIN_DIRS
do
	if [ ! -e $bindir ]; then
 		continue
 	fi 
	cd $bindir
	
	if [ -h $BINARY ]; then
 		echo "Deleting..."
 		rm -f $BINARY
 	fi 
done

popd > /dev/null

#if [ "$ANSWER" == "yes" ] || [ "$ANSWER" == "y" ]; then
	./plugin_uninstall.sh
#fi

if [ -e kdesetup ]; then
	cd kdesetup
	./uninstall.sh
	cd ..
fi

if [ -e gnomesetup ]; then
	cd gnomesetup
 	./uninstall.sh
  	cd ..
fi

echo "The product was successfully uninstalled."
